org.glassfish.jersey.server.model

## Interface Suspendable

All Known Implementing Classes:
  ResourceMethod

    public interface Suspendable

Jersey model component that is suspendable and may hold suspend-related information.

Author:
  Marek Potociar

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getSuspendTimeout()` Get the suspend timeout value in the given `time unit`.
`TimeUnit` `getSuspendTimeoutUnit()` Get the suspend `timeout value` time unit.
`boolean` `isManagedAsyncDeclared()` Check if the component is marked to be executed asynchronously by using an internal Jersey `executor service`.
`boolean` `isSuspendDeclared()` Check if the component is marked for suspending.

### Method Detail

#### isSuspendDeclared

    boolean isSuspendDeclared()

Check if the component is marked for suspending.

Returns:
  `true` if the component is marked for suspending, `false` otherwise.

#### isManagedAsyncDeclared

    boolean isManagedAsyncDeclared()

Check if the component is marked to be executed asynchronously by using an internal Jersey `executor service`.

Returns:
  `true` if the component is marked for managed asynchronous execution, `false` otherwise.

#### getSuspendTimeout

    long getSuspendTimeout()

Get the suspend timeout value in the given `time unit`.

Returns:
  suspend timeout value.

#### getSuspendTimeoutUnit

    TimeUnit getSuspendTimeoutUnit()

Get the suspend `timeout value` time unit.

Returns:
  time unit of the suspend timeout value.